#
# spec file for package packETH
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           packETH
Version:        1.8
Release:        4.3
Summary:        Packet generator tool for ethernet
License:        GPL-3.0+
Group:          Productivity/Networking/Diagnostic
Url:            http://packeth.sourceforge.net/packeth/Home.html
Source0:        http://downloads.sourceforge.net/project/packeth/packETH-%{version}.tar.bz
# PATCH-FIX-UPSTREAM tchvatal@suse.cz do return something in nonvoid fnction
Patch0:         packETH-non-void-return.patch
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
packETH is tool for generating packets to send over ethernet.

%prep
%setup -q
%patch0 -p1
# yay, lm is not in checked libs
sed -i -e 's:$(DEPS_LIBS):$(DEPS_LIBS) -lm:' Makefile.in

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc COPYING CHANGELOG AUTHORS
%{_bindir}/%{name}
%{_datadir}/packeth

%changelog
* Wed Jan 14 2015 tchvatal@suse.com
- Version bump to 1.8:
  * Fix the license statements
  * Various fixes without changelog
- Cleanup a bit
- Add patch:
  * packETH-non-void-return.patch
* Sat Jan 18 2014 tchvatal@suse.com
- Version bump to 1.7.3:
  * no changelog provided.
- Cleanup the spec to sort things out and use proper url for
  downloads
* Sat Nov 10 2012 tchvatal@suse.com
- Set proper homepage as was spotted on merge request.
* Fri Nov  9 2012 tchvatal@suse.com
- Initial commit of version 1.7.2. Required for ipv6 tests.
